Subject: Re: operators

From: "Andrew K. Yu" <[email-masked]>
Date: Thu, 30 Jun 1994 16:07:56 -0700

> retrieve (x="Hello" $+ " world," $+ " what's on?")
> WARN:Jun 30 11:19:39:parser: syntax error at or near "$+"
	
associativity for defined operators don't work.
	
> How do I have to define the operator '$+' to work like '+' does?

you cannot. The parser treats them differently.

> I admit that I do not understand the meanings of all the options of 
> 'define operator'.

don't worry. The manual lies about associativity anyway.

-andrew

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================